export async function loadShiki() {
  if (globalThis.__nuxt_shiki__) {
    return globalThis.__nuxt_shiki__;
  }
  globalThis.__nuxt_shiki__ = _loadShiki();
  globalThis.__nuxt_shiki__ = await globalThis.__nuxt_shiki__;
  return globalThis.__nuxt_shiki__;
}
async function _loadShiki() {
  const [{ loadWasm, getHighlighterCore }, { loadShikiConfig }] = await Promise.all([
    import("shiki/core"),
    import("shiki-config.mjs")
  ]);
  const [$config] = await Promise.all([
    loadShikiConfig(),
    loadWasm(import("shiki/wasm"))
  ]);
  const highlighter = await getHighlighterCore($config).then((h) => ({
    $config,
    $defaults: $config.defaults,
    ...h
  }));
  return highlighter;
}
