import { type Ref } from 'vue';
import type { CodeToHastOptions } from 'shiki/core';
/**
 * Return a lazy highlighted code ref (only usable in Vue)
 *
 * @example
 *
 * ```vue
<script setup>
const code = ref('const hello = "shiki";');
const highlighted = await useHighlighted(code);
</script>
 * ```
 */
export declare function useHighlighted(code: string | Ref<string>, options?: Partial<CodeToHastOptions> & {
    highlighted?: string;
}): Promise<Ref<string>>;
